package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * AP list of packet loss rate tab, in descending order of average value
 */
@ApiModel(description = "AP list of packet loss rate tab, in descending order of average value")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class DropEap   {
  @JsonProperty("dropouts")
  @Valid
  private List<Drop> dropouts = null;

  @JsonProperty("apMac")
  private String apMac;

  @JsonProperty("name")
  private String name;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("avg")
  private Double avg;

  @JsonProperty("status")
  private Integer status;

  public DropEap dropouts(List<Drop> dropouts) {
    this.dropouts = dropouts;
    return this;
  }

  public DropEap addDropoutsItem(Drop dropoutsItem) {
    if (this.dropouts == null) {
      this.dropouts = new ArrayList<>();
    }
    this.dropouts.add(dropoutsItem);
    return this;
  }

  /**
   * AP dropouts timing list
   * @return dropouts
  */
  @ApiModelProperty(value = "AP dropouts timing list")

  @Valid

  public List<Drop> getDropouts() {
    return dropouts;
  }

  public void setDropouts(List<Drop> dropouts) {
    this.dropouts = dropouts;
  }

  public DropEap apMac(String apMac) {
    this.apMac = apMac;
    return this;
  }

  /**
   * AP MAC
   * @return apMac
  */
  @ApiModelProperty(value = "AP MAC")


  public String getApMac() {
    return apMac;
  }

  public void setApMac(String apMac) {
    this.apMac = apMac;
  }

  public DropEap name(String name) {
    this.name = name;
    return this;
  }

  /**
   * AP name
   * @return name
  */
  @ApiModelProperty(value = "AP name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public DropEap model(String model) {
    this.model = model;
    return this;
  }

  /**
   * AP model
   * @return model
  */
  @ApiModelProperty(value = "AP model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public DropEap modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * AP model Version
   * @return modelVersion
  */
  @ApiModelProperty(value = "AP model Version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public DropEap avg(Double avg) {
    this.avg = avg;
    return this;
  }

  /**
   * Average current AP drop packet rate
   * @return avg
  */
  @ApiModelProperty(value = "Average current AP drop packet rate")


  public Double getAvg() {
    return avg;
  }

  public void setAvg(Double avg) {
    this.avg = avg;
  }

  public DropEap status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * AP status, 0: connected, 1: disconnected
   * @return status
  */
  @ApiModelProperty(value = "AP status, 0: connected, 1: disconnected")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DropEap dropEap = (DropEap) o;
    return Objects.equals(this.dropouts, dropEap.dropouts) &&
        Objects.equals(this.apMac, dropEap.apMac) &&
        Objects.equals(this.name, dropEap.name) &&
        Objects.equals(this.model, dropEap.model) &&
        Objects.equals(this.modelVersion, dropEap.modelVersion) &&
        Objects.equals(this.avg, dropEap.avg) &&
        Objects.equals(this.status, dropEap.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dropouts, apMac, name, model, modelVersion, avg, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DropEap {\n");
    
    sb.append("    dropouts: ").append(toIndentedString(dropouts)).append("\n");
    sb.append("    apMac: ").append(toIndentedString(apMac)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    avg: ").append(toIndentedString(avg)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

